SolrDocument::__destruct
SolrDocument::__get
SolrDocument
PHP Manual

# SolrDocument::fieldExists

(PECL solr >= 0.9.2)

SolrDocument::fieldExists — Checks if a field exists in the document

### Description

public bool SolrDocument::fieldExists ( string `$fieldName` )

Checks if the requested field as a valid fieldname in the document.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns `TRUE` if the field is present and `FALSE` if it does not.

SolrDocument::__destruct
SolrDocument::__get
SolrDocument
PHP Manual